Dragon Quest VII, "A system update is required to use this software."

Discussion in '3DS - Homebrew Development and Emulators' started by Asaki, Sep 17, 2016.

  1. Asaki
    OP

    Asaki Member

    Newcomer
    33
    1
    Mar 17, 2007
    United States
    Not sure if this is the correct forum, as it isn't specifically regarding homebrew, but only having homebrew enabled hardware...can be moved if needed. Anyway...

    Just a heads up, Dragon Quest VII won't even boot without a system update, just gives the error message and the option to update or quit. It's asking me to update to 10.7.0-31U, I'm on 10.3.0-31U.

    I don't know if it's possible to upgrade ctr-httpwn to bypass this, but I've got my fingers crossed (should I try to contact yellows8?). In the mean-time, HANS will run it, although this isn't the most convenient solution.

    For the record, I'm running the IronHax exploit, I don't have any custom firmware installed or anything.
     


  2. dimmidice

    dimmidice GBAtemp Advanced Maniac

    Member
    1,909
    1,289
    Sep 12, 2009
    Belgium
    If you're on 10.7 can't you follow the A9LH guide? seems easier than the solution you're suggesting to be honest. All i know for sure is it works on 11.0 just fine.
     
    Xiphiidae and gnmmarechal like this.
  3. Majickhat55

    Majickhat55 The Red Woman

    Member
    3,295
    1,572
    Mar 28, 2016
    United States
    Asshai
    IIRC it's because the game came out with system version 11.0 so that is the lowest possible firmware to play it on without requiring an update. Just try ctr-pttpwn. I've no idea if it will work. Why are you still on 10.3 if I may ask? I agree with @dimmidice just go through with the guide, you'll be happy that you did.
     
    xJoelituh likes this.
  4. TheCyberQuake

    TheCyberQuake Certified Geek

    Member
    3,092
    1,932
    Dec 2, 2014
    United States
    Las Vegas, Nevada
    If you are on 10.3 a downgrade to 9.2 should be extremely simple (i've done 4 consoles from 10.3, one of the most stable downgrades to 9.2). From there you can use CFW, or what I recommend more is to install A9LH.
     
    Xiphiidae and LongTimeLurker like this.
  5. Asaki
    OP

    Asaki Member

    Newcomer
    33
    1
    Mar 17, 2007
    United States
    I'm on 10.3, but I'll look into it.

    It usually takes a few days before ctr-httpwn gets updated (or is that not a typo but a different program?). I have doubts it'll fix it, though, since it's before the game even launches, and not during an Internet access attempt like most games.

    10.3 was the last time I performed a system update before installing Ironhax. Wouldn't updating kill the exploit?

    For me, installing CFW would be a really slippery slope. I don't want to get back into my DS habit of pirating far more games than I buy, so I'm not giving myself the option.
     
  6. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,165
    389
    Oct 14, 2006
    Thailand
    Planeptune
    Just don't install freeshop or pirate cia. Mine also install CFW just for unlocked region without doing exploit over and over.
     
    Xiphiidae and gnmmarechal like this.
  7. Majickhat55

    Majickhat55 The Red Woman

    Member
    3,295
    1,572
    Mar 28, 2016
    United States
    Asshai
    Uh, ctr-httpwn doesn't need an update for it to work.
     
    Xiphiidae likes this.
  8. Asaki
    OP

    Asaki Member

    Newcomer
    33
    1
    Mar 17, 2007
    United States
    The update is on the server side. When it says "Downloading config...", that's the file that gets updated.

    It says so right on the GitHub page:

     
  9. Majickhat55

    Majickhat55 The Red Woman

    Member
    3,295
    1,572
    Mar 28, 2016
    United States
    Asshai
    Yes and it works fine..........
     
    Xiphiidae likes this.
  10. kittensauce

    kittensauce Got a spare screen?

    Member
    198
    61
    Mar 22, 2016
    United States
    Install A9LH by following Plaicet's guide, and if you really don't want to pirate games, you could block the "3DS titlekeys website" and "that ISO site" (Google is your friend) URLs via your network's router. Or, you could route the URLs to 127.0.0.1 via your hosts file, or you could block the URLs via a service to the likes of MyDNS.
    Whatever you do, I strongly recommend staying on 10.3.0 and never updating ever again (without A9LH or EmuNAND/RedNAND).
     
    Xiphiidae likes this.
  11. Asaki
    OP

    Asaki Member

    Newcomer
    33
    1
    Mar 17, 2007
    United States
    I just checked it, DQ7 is still blocked. Like I said, I doubt the program will fix this, since DQ7 is not checking the Internet.

    I was re-reading my first post, and maybe you were confused. I didn't mean that I was having trouble updating ctr-httpwn, I was merely speculating if an update to the program to unblock this game (and others) would even be possible.

    Oh gosh, that sounds like a lot of work, and I'm a very "path of least resistance" kind of guy =)
     
  12. Dracari

    Dracari GBAtemp Maniac

    Member
    1,394
    384
    Apr 5, 2009
    United States
    then dont install FBI (or remove it after using to install the HBL CIA) freeshop or CIA Angel cause it sounds like you might be teh kind that finds it bothersome to hunt down a spefic game your after on That ISO or Chaos site.
     
  13. Joom

    Joom  ❤❤❤

    Member
    3,890
    2,617
    Jan 8, 2016
    United States
    Is that a bad thing?
     
  14. Majickhat55

    Majickhat55 The Red Woman

    Member
    3,295
    1,572
    Mar 28, 2016
    United States
    Asshai
    I mean or you could use some self control...... and just not download free stuff. That's like saying you can't help but rob someone for their TV because the window was open.
     
    TheCyberQuake likes this.
  15. Asaki
    OP

    Asaki Member

    Newcomer
    33
    1
    Mar 17, 2007
    United States
    On a small scale, there were a lot of titles that I really wanted, but didn't get, and now they are big money collector titles.

    On a much larger scale, DS piracy was so rampant and sales were so low, that a lot of titles were never localized outside of Japan, or never saw sequels, or were just cancelled outright.

    You don't know me!
     
    Last edited by Asaki, Sep 25, 2016
  16. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,165
    389
    Oct 14, 2006
    Thailand
    Planeptune
    If you can't control yourself, it's your problem. The others suggest A9LH + CFW cause this is the most effective way to run homebrew right now.
    Other exploit get blocked or get harder and harder to use already. Piracy with CFW is just another illegal benefit.
     
    Last edited by nechigawara, Sep 25, 2016
    Xiphiidae likes this.
  17. Asaki
    OP

    Asaki Member

    Newcomer
    33
    1
    Mar 17, 2007
    United States
    So the new Animal Crossing update seems to be blocked, so I gave up and installed A9LH...

    I can get to the Homebrew Channel a little easier now, but the tutorial downgraded me to 9.2 firmware, so even more games and applications are blocked than before.

    ...now what?

    Edit: Just rechecked the main page of the tut, it says:

    But this is never covered in the tutorial itself, so I have no idea how to do it.
     
    Last edited by Asaki, Nov 5, 2016
  18. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    you're completely in A9LH or in the process of installing it?
     
  19. Joom

    Joom  ❤❤❤

    Member
    3,890
    2,617
    Jan 8, 2016
    United States
    Once you have A9LH you can update SysNAND to the latest firmware.
     
  20. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,675
    20,398
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    If you have already installed A9LH, grab yourself a CFW
    http://gbatemp.net/threads/faq-what-cfw-is-best-for-me.428509/
    Once you've got yourself a CFW installed, you are safe to update to the latest OFW.